@charset "utf-8";

:root {
  --bg-canvas-item: transparent;
}

body {
  overflow-x: hidden;
  user-select: none;
}

header {
  .size-radio-label-container {
    display: flex;
    gap: 2px;
    margin-left: auto;

    .size-radio-label {
      width: 32px;
    }
  }
}

main {
  padding: 8px 0 32px;
}

.hero-section {
  h1 {
    margin-top: 16px;
  }
}

.main-section {
  padding-top: 16px;

  .btn-container {
    display: flex;
    align-items: center;
    gap: 2px;
  }

  .color-input {
    width: 32px;
    height: 32px;
  }
}

.add-text {
  margin-top: 4px;
}

.canvas-list-container {
  border: 1px solid var(--color-border);
  margin: 4px 28px 0 0;
}

.canvas-list {
  display: grid;
  align-content: start;
  background: #1f1f1f;

  &:empty::before {
    content: '';
    aspect-ratio: var(--aspect-ratio);
    pointer-events: none;
  }
}

.canvas-item {
  background: var(--bg-canvas-item);

  &.active {
    opacity: 0.3;
  }
}

.canvas {
  width: 100%;
  pointer-events: none;

  &.cover {
    display: none;
  }
}

.canvas-list.cover {
  .canvas {
    &.contain {
      display: none;
    }

    &.cover {
      display: inline;
    }
  }
}

.canvas-list.circle {
  .canvas {
    border-radius: 50%;
  }
}

body {
  &[data-size-idx="-2"] {
    .canvas-list {
      grid-template-columns: repeat(auto-fill, minmax(64px, 1fr));
    }
  }

  &[data-size-idx="-1"] {
    .canvas-list {
      grid-template-columns: repeat(auto-fill, minmax(72px, 1fr));
    }
  }

  &[data-size-idx="0"] {
    .canvas-list {
      grid-template-columns: repeat(auto-fill, minmax(80px, 1fr));
    }
  }

  &[data-size-idx="1"] {
    .canvas-list {
      grid-template-columns: repeat(auto-fill, minmax(88px, 1fr));
    }
  }

  &[data-size-idx="2"] {
    .canvas-list {
      grid-template-columns: repeat(auto-fill, minmax(96px, 1fr));
    }
  }
}

@media (width < 720px) {
  body {
    &[data-size-idx="-2"] {
      .canvas-list {
        grid-template-columns: repeat(auto-fill, minmax(48px, 1fr));
      }
    }

    &[data-size-idx="-1"] {
      .canvas-list {
        grid-template-columns: repeat(auto-fill, minmax(56px, 1fr));
      }
    }

    &[data-size-idx="0"] {
      .canvas-list {
        grid-template-columns: repeat(auto-fill, minmax(64px, 1fr));
      }
    }

    &[data-size-idx="1"] {
      .canvas-list {
        grid-template-columns: repeat(auto-fill, minmax(72px, 1fr));
      }
    }

    &[data-size-idx="2"] {
      .canvas-list {
        grid-template-columns: repeat(auto-fill, minmax(80px, 1fr));
      }
    }
  }
}

.drag-img {
  position: fixed;
  opacity: 0.5;
  pointer-events: none;
  z-index: 20;

  &.hidden {
    display: none;
  }
}
